<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>sensors</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module sensors</h1>
<hr />
  <h2 class="toc">Classes</h2>
    <a target="mainFrame" href="screenlets.sensors.CPUSensor-class.html"
     >CPUSensor</a><br />    <a target="mainFrame" href="screenlets.sensors.MemorySensor-class.html"
     >MemorySensor</a><br />    <a target="mainFrame" href="screenlets.sensors.NetSensor-class.html"
     >NetSensor</a><br />    <a target="mainFrame" href="screenlets.sensors.Sensor-class.html"
     >Sensor</a><br />  <h2 class="toc">Functions</h2>
    <a target="mainFrame" href="screenlets.sensors-module.html#_"
     >_</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#bat_get_ac"
     >bat_get_ac</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#bat_get_battery_list"
     >bat_get_battery_list</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#bat_get_data"
     >bat_get_data</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#bat_get_value"
     >bat_get_value</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_ampm"
     >cal_get_ampm</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_date"
     >cal_get_date</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_day"
     >cal_get_day</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_day_monday"
     >cal_get_day_monday</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_day_name"
     >cal_get_day_name</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_day_sonday"
     >cal_get_day_sonday</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_hour"
     >cal_get_hour</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_hour12"
     >cal_get_hour12</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_hour24"
     >cal_get_hour24</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_local_date"
     >cal_get_local_date</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_local_time"
     >cal_get_local_time</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_minute"
     >cal_get_minute</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_month"
     >cal_get_month</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_month_name"
     >cal_get_month_name</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_now"
     >cal_get_now</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_second"
     >cal_get_second</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_time"
     >cal_get_time</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_time12"
     >cal_get_time12</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_time24"
     >cal_get_time24</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cal_get_year"
     >cal_get_year</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_cpu_list"
     >cpu_get_cpu_list</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_cpu_name"
     >cpu_get_cpu_name</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_current_freq"
     >cpu_get_current_freq</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_current_gov"
     >cpu_get_current_gov</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_load"
     >cpu_get_load</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#cpu_get_nb_cpu"
     >cpu_get_nb_cpu</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#disk_get_disk_list"
     >disk_get_disk_list</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#disk_get_drive_info"
     >disk_get_drive_info</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#disk_get_swap"
     >disk_get_swap</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#disk_get_usage"
     >disk_get_usage</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuClock"
     >getGpuClock</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuDriver"
     >getGpuDriver</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuMemClock"
     >getGpuMemClock</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuRam"
     >getGpuRam</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuRefreshRate"
     >getGpuRefreshRate</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuResolution"
     >getGpuResolution</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuTemp"
     >getGpuTemp</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#getGpuType"
     >getGpuType</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#get_available_freq"
     >get_available_freq</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#get_available_gov"
     >get_available_gov</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_freemem"
     >mem_get_freemem</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_total"
     >mem_get_total</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_totalswap"
     >mem_get_totalswap</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_usage"
     >mem_get_usage</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_usedmem"
     >mem_get_usedmem</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#mem_get_usedswap"
     >mem_get_usedswap</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#net_get_activity"
     >net_get_activity</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#net_get_connections"
     >net_get_connections</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#net_get_ip"
     >net_get_ip</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#net_get_updown"
     >net_get_updown</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#process_get_list"
     >process_get_list</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#process_get_top"
     >process_get_top</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sensors_get_sensor_value"
     >sensors_get_sensor_value</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sensors_get_sensors_list"
     >sensors_get_sensors_list</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_average_load"
     >sys_get_average_load</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_desktop_enviroment"
     >sys_get_desktop_enviroment</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_distrib_name"
     >sys_get_distrib_name</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_distroshort"
     >sys_get_distroshort</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_full_info"
     >sys_get_full_info</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_gnome_version"
     >sys_get_gnome_version</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_hostname"
     >sys_get_hostname</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_kde_version"
     >sys_get_kde_version</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_kernel_version"
     >sys_get_kernel_version</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_linux_version"
     >sys_get_linux_version</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_uptime"
     >sys_get_uptime</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_uptime_long"
     >sys_get_uptime_long</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_username"
     >sys_get_username</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#sys_get_window_manager"
     >sys_get_window_manager</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#wir_get_interfaces"
     >wir_get_interfaces</a><br />    <a target="mainFrame" href="screenlets.sensors-module.html#wir_get_stats"
     >wir_get_stats</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
